Console.Clear();

var text = Document.Selection.Text;
if( text == "" )
{
	// get the character to the right of the cursor
	line = Document.Line( Document.Selection.CurrentLine );
	text = line.substr( Document.Selection.CurrentColumn, 1 );
}

if( text == "" )
{
	Console.WriteLine( "No character selected" );
}
else
{
	for( var i=0; i<text.length; i++ )
	{
		var code = text.charCodeAt(i);
	    var hexCode = code.toString(16);
	    while( hexCode.length < 4 )
	      hexCode = '0' + hexCode;
	    var decCode = code.toString(10);
	    while( decCode.length < 5 )
	      decCode = ' ' + decCode;
		
		Console.WriteLine( text.substr(i, 1) + " 0x" + hexCode + " " + decCode );
	}
}